# DNS & WEB

### 一、DNS

1. 什么是DNS

   - DNS：域名解析系统
   - DNS端口 53

2. DNS根据解析内容分类

   - 正向解析：域名 → IP
   - 反向解析：IP → 域名

3. 早期域名解析方法

   > C:\Windows\System32\drivers\etc\hosts(主机名解析文件)

4. 常见顶级域名（一级）

   1. 组织域

      > .edu教育、.gov政府、.com商业、.mil军事、.org民间团体组织、.net网络、.arpa反向域

   2. 国家或地区域

      > .cn中国、.us美国、.ru俄罗斯、.tw中国台湾、.hk香港

5. DNS域名解析从查询方式分类

   - 递归解析
   - 迭代解析

6. 安装与配置DNS服务

   1. 配置网络环境

      ![图片1](https://picgo-noriu.oss-cn-beijing.aliyuncs.com/Images/%E5%9B%BE%E7%89%871.jpg)

   2. Win2019安装DNS

      > 管理-添加角色和功能 → 三个下一步 → 勾选DNS服务器 → 添加功能 → 三个下一步 → 安装

   3. 打开DNS管理器

      - 工具 → DNS
      - 运行 → dnsmgmt.msc

   4. 创建主区域

      > 右击正向查找区域 → 新建区域 → 下一步 → 主要区域 → 下一步 → 输入区域名（例如ntd.com） → 三个下一步 → 完成

   5. 添加正向解析记录

      > 右击ntd.com → 新建主机A → 输入www → 输入IP地址（例如192.168.1.100） → 添加主机
      >
      > 注：DNS资源记录类别（标识）
      >
      > > `A` 正向解析、`PTR` 反向解析、`CNAME` 别名解析 

   6. Win10客户端主机解析测试

      > 确认客户端主机已配置首选DNS服务器地址（本案例首选DNS服务器IP为192.168.1.20）
      >
      > 运行 → cmd
      >
      > nslookup www.ntd.com
   
   7. DNS域名解析从查询方式分类
   
      1. `递归查询`（Recursive Query）：
         - 客户端发送查询请求到DNS服务器，并要求服务器必须返回一个最终答案，即使需要服务器向其他DNS服务器进行查询。
         - 如果递归服务器无法解析域名，它会以递归方式向其他DNS服务器查询，直到获取到答案。
      2. `迭代查询`（Iterative Query）：
         - 客户端发送查询请求到DNS服务器，但服务器不会代为查询，而是返回一个参考答案或者告诉客户端下一步应该查询哪个服务器。
         - 客户端根据返回的信息继续向其他DNS服务器进行查询，直到获取到最终答案。
      3. `非递归查询`（Non-recursive Query）：
         - 当DNS服务器在本地缓存中拥有查询结果时，它可以立即返回答案，无需进一步查询其他服务器。
         - 这种查询通常速度快，因为不需要额外的网络通信。
   
      根据查询的目的和场景，DNS查询还可以进一步分类：
   
      4. `正向解析`（Forward Lookup）：
         - 将域名（例如，www.example.com）转换为对应的IP地址（例如，93.184.216.34）。
      5. `反向解析`（Reverse Lookup）：
         - 将IP地址转换为对应的域名（通常用于PTR记录查询，例如，将IP地址转换为对应的主机名）。
      6. `权威查询`（Authoritative Query）：
         - 查询直接发送到负责该域名的权威DNS服务器，这些服务器拥有该域名的最终解析记录。
      7. `非权威查询`（Non-authoritative Query）：
         - DNS服务器返回的查询结果不是来自权威DNS服务器，而是来自缓存中的数据。

### 二、FTP服务

1. 什么是FTP

   > FTP (file transfer protocol )文件传输协议

2. FTP的作用

   > 在网络上进行文件传输的协议，可实现文件的上传与下载

3. FTP协议的端口

   > FTP协议默认端口21

4. FTP服务组件

   > IIS（互联网信息服务）包含FTP服务的组件

5. 部署FTP服务

   ![图片1](https://picgo-noriu.oss-cn-beijing.aliyuncs.com/Images/%E5%9B%BE%E7%89%871.jpg)

   1. Win2019安装FTP组件

      > 右击此电脑 → 管理 → 管理添加角色和功能 → 三个下一步 → 勾选 Web服务器（IIS） → 添加功能 → 三个下一步到角色服务
      >
      > → 下拉滚动条勾选FTP服务器 → 下一步 → 安装

   2. 准备FTP站点根目录

      > Win2019服务器 → 运行 → diskmgmt.msc → 打开磁盘管理 → 右击未分配400G → 新建简单卷 → 下一步 → 输入102400MB → 三个下一步 → 完成
      >
      > E盘创建“E:\ftp”，在“ftp”的目录中创建DAY01.txt，DAY02.txt

   3. 添加FTP站点

      > 右击此电脑 → 管理 → 工具 → IIS管理器
      >
      > → 右击网站 → 添加FTP站点 → 站点名输入ftp → 物理路径选择`E:\ftp` → 下一步 → 选择无SSL
      >
      > → 下一步 → 身份验证选择匿名 → 允许访问选择匿名用户 → 权限勾选读取 → 完成

   4. 客户端访问FTP服务

      > Win10客户端主机打开资源管理器 → 资源管理器地址栏输入ftp://192.168.1.20

   5. 部署基本身份验证访问FTP服务

      1. 创建系统用户

      2. 添加FTP站点

         > 右击此电脑 → 管理 → 工具 → IIS管理器 → 右击ftp → 删除

         > 右击网站 → 添加FTP站点 → 站点名输入ftp → 物理路径选择`E:\ftp` → 下一步 → 选择无SSL
         >
         > → 下一步 → 身份验证选择基本 → 允许访问选择所有用户 → 权限勾选读取、写入 → 完成

   6. 配置通过客户端程序访问FTP服务

      > Xshell、FileZilla、PuTTY、SecureCRT、MobaXterm

### 三、WEB服务

1. Web服务概述

   1. WEB服务器（存放网站的服务器）

   2. http超文本传输协议，端口 80

   3. URL(统一资源定位器)

   4. 常见WEB服务程序

      > Microsoft IIS、Apache Http Server、Nginx

2. 安装IIS

   1. Win2019安装IIS

      > 管理 → 添角色和功能 → 三个下一步 → 勾选Web服务器(IIS) → 添加功能 → 下一步……安装

   2. Win10客户端主机访问Web站点

      - 打开浏览器地址栏输入http://192.168.1.20/

      > Web站点默认主目录（C:\inetpub\wwwroot）

3. 通过IIS发布WEB站点

   1. 将事先做好的网页文件复制到Win2019服务器

      > 复制muban1到Win2019的E盘

   2. 打开IIS

      > 运行 → inetmgr

   3. 禁用默认站点

      > 右击Default Web Site → 管理网站 → 停止

   4. 发布web站点

      > 右击 → 网站 → 添加网站 → 网站名输入muban1 → 物理路径（E:\muban1） → 确定

   5. Win10客户端主机访问Web站点

      > 打开浏览器地址栏输入http://192.168.1.20.

   6. 配置通过域名访问网站

      > 安装DNS
      > 运行 → dnsmgmt.msc
      > 右击正向查询区域 → 新建区域 → 下一步 → 主要区域 → 下一步 → 输入区域名（例如zh.com） → 三个下一步 → 完成
      > 右击zh.com → 新建主机A → 输入www → 输入IP地址192.168.1.20 → 添加主机
      > 配置WIN10客户端主机首选DNS为192.168.1.20
      > WIN10客户端主机打开浏览器地址栏输入http://www.zh.com

### 
