# 网络通讯原理

#### 1、计算机网络的功能

> 数据通信、资源共享、增加数据的可靠性、提高系统处理能力（主要功能数据通信）

#### 2、标准

> 一致同意的规则可以理解为标准

#### 3、ISO

> 国际准化组织

#### 4、为什么会有OSI参考型?

> 为了让全世界网络标准统一，使用任意厂商的网络设备都可以实现数据的互联互通

#### 5、为什么分层？

> 为了降低网络设计复杂性，将协议进行了分层设计，方便网络故障的定位。

#### 6、OSI七层参考模型含义（物数网传会表应）

1. **应用层**：网络服务与最终用户的一个接口
2. **表示层**：数据表现形式，如加密、压缩
3. **会话层**：建立、管理、中止会话，例如断点续传。
4. **传输层**：定义传输数据的协议端口号，实现了程序与程序的互连，可靠与不可靠的传输，流量控制差错校验。
5. **网络层**：定义了IP地址、实现不同网络之间的通信，为数据的传输选择最佳路径，路由器工作在网络层。
6. **数据链路层**：建立逻辑链接，通过MAC地址实现数据的通信，帧包装、帧传输。交换机工作在数据链路层。
7. **物理层**：建立、维护、断开物理连接，定义了接口及介质，实现了比特流的传输。

#### 7、TCP/IP与OSI模型

![image-20240813191803499](https://picgo-noriu.oss-cn-beijing.aliyuncs.com/Images/image-20240813191803499.png)

#### 8、常见网络协议

1. **网络层常见协议**

   - IP：互联网协议，定义了IP地址
   - ICMP：网络控制消息协议，验证和测试网络连通性
   - ARP：地址解析协议，将IP地址解析成MAC地址
   - OSPF：开放式最短路径优先，动态路由协议

2. **传输层常见协议**

   - TCP：传输控制协议 → 安全可靠，速度慢
   - UDP：用户数据报协议 → 不可靠，速度快

3. **应用层常见协议**

   | 协议   | 名称             | 传输层协议 | 端口    |
   | ------ | ---------------- | ---------- | ------- |
   | HTTP   | 超文本传输协议   | TCP        | 80      |
   | FTP    | 文件传输协议     | TCP        | 20 & 21 |
   | TFTP   | 简单文件传输协议 | UDP        | 69      |
   | DHCP   | 动态主机配置协议 | UDP        | 67 & 68 |
   | Telnet | 远程管理协议     | TCP        | 23      |
   | RDP    | 远程桌面协议     | TCP        | 3389    |
   | DNS    | 域名解析         | TCP & UDP  | 53      |
   | SMTP   | 简单邮件传输协议 | TCP        | 25      |
   | SNMP   | 网络管理协议     | UDP        | 161     |

#### 9、TCP/IP 五层模型设备名称

- 应用层 → 电脑
- 传输层 → 防火墙
- 网络层 → 路由器
- 数据链路层 → 交换机
- 物理层 → 网卡

#### 10、PDU（协议数据单元）

- 传输层：段 `segment`
- 网络层：包 `packet`
- 数据链路层：帧 `frame`
- 物理层：比特流 `bit`

#### 11、数据封装与解封装

1. **数据通信的3个阶段**

   > 产生数据-数据封装
   >
   > 传输数据-网络传输
   >
   > 接收数据-数据解封装

2. **什么是数据封装**

   - 数据从上往下传输的过程
   - 在数据前面加上每一层的头部信息，称为数据封装

3. **怎么解封装**

   - 数据从下往上的过程
   - 接收数据后，从物理层到应用层，每达到一层，会把相应的头部信息拆除，数据链路层拆除MAC头部和尾部，网络层拆除IP头部，传输层拆除TCP头部（拆除包装）