# 0810 拓扑练习

![image-20240811105050681](https://picgo-noriu.oss-cn-beijing.aliyuncs.com/Images/image-20240811105050681.png)

1. 设置所有PC的IP地址、子网掩码、网关

2. AR1路由配置

   ```
   // 基础设置
   <Huawei>u t m
   [Huawei]sysname AR1
   
   // 配置端口
   [AR1]int g 0/0/0
   [AR1-GigabitEthernet0/0/0]ip a 192.168.30.1 24
   [AR1]int g 0/0/1
   [AR1-GigabitEthernet0/0/1]ip a 192.168.10.254 24
   [AR1]int g 0/0/2
   [AR1-GigabitEthernet0/0/2]ip a 192.168.20.254 24
   
   // 配置aaa认证
   [AR1]aaa
   [AR1-aaa]local-user ntd2407 password cipher hcip
   [AR1-aaa]local-user ntd2407 service-type telnet
   [AR1-aaa]local-user ntd2407 privilege level 15
   [AR1]user-interface vty 0 4
   [AR1-ui-vty0-4]authentication-mode aaa
   [AR1-ui-vty0-4]protocol inbound telnet
   [AR1]telnet server enable
   <AR1>save
   ```

3. AR2路由配置

   ```
   // 基础设置
   <Huawei>u t m
   [Huawei]sysname AR2
   
   // 配置端口
   [AR2]int g 0/0/0
   [AR2-GigabitEthernet0/0/0]ip a 192.168.30.2 24
   
   // 配置aaa认证
   [AR2]aaa
   [AR2-aaa]local-user ntd2407 password cipher hcip
   [AR2-aaa]local-user ntd2407 service-type telnet
   [AR2-aaa]local-user ntd2407 privilege level 15
   [AR2]user-interface vty 0 4
   [AR2-ui-vty0-4]authentication-mode aaa
   [AR2-ui-vty0-4]protocol inbound telnet
   [AR2]telnet server enable
   <AR2>save
   ```

4. AR3路由配置

   ```
   // 基础设置
   <Huawei>u t m
   [Huawei]sysname AR3
   
   // 配置端口
   [AR3]int g 0/0/0
   [AR3-GigabitEthernet0/0/0]ip a 192.168.10.2 24
   
   // 配置aaa认证
   [AR3]aaa
   [AR3-aaa]local-user ntd2407 password cipher hcip
   [AR3-aaa]local-user ntd2407 service-type telnet
   [AR3-aaa]local-user ntd2407 privilege level 15
   [AR3]user-interface vty 0 4
   [AR3-ui-vty0-4]authentication-mode aaa
   [AR3-ui-vty0-4]protocol inbound telnet
   [AR3]telnet server enable
   <AR3>save
   ```

5. SW3交换机配置

   ```
   // 基础配置
   <Huawei>u t m
   [Huawei]sysname SW3
   
   // VLAN及IP
   [SW3]int v 1
   [SW3-Vlanif1]ip a 192.168.20.2 24
   
   // 配置aaa认证
   [SW3]aaa
   [SW3-aaa]local-user ntd2407 password cipher hcip
   [SW3-aaa]local-user ntd2407 service-type telnet
   [SW3-aaa]local-user ntd2407 privilege level 15
   [SW3]user-interface vty 0 4
   [SW3-ui-vty0-4]authentication-mode aaa
   [SW3-ui-vty0-4]protocol inbound telnet
   [SW3]telnet server enable
   <SW3>save
   ```

6. 测试

   > 1. 所有PC互通
   > 2. R1可以远程AR2,AR3,SW3、R2可以远程R1
   >    - 用户名：ntd2407
   >    - 密码:hcip，权限级别15
   >    - 服务类型：telnet

