#### 一、哪些IP地址属于私有地址，其用处是什么？

1. 私有IP地址范围及其用途

   - 10.0.0.0 to 10.255.255.255 (10.0.0.0/8):

     > 通常用于大型企业网络。

   - 172.16.0.0 to 172.31.255.255 (172.16.0.0/16):

     > 用于中型网络，包含16个连续的B类地址

   - 192.168.0.0 to 192.168.255.255 (192.168.0.0/24):

     > 家庭和小型企业网络中最常用的私有地址范围，包含256个连续的C类地址

2. 私有地址的用途

   - 节约公共IP地址

     > 由于互联网上的公共IP地址是有限的，使用私有地址可以减少对公共IP地址的需求。

   - 提高安全性

     > 私有地址不会暴露在公共互联网上，因此可以减少网络攻击的风险。

   - 简化网络管理

     > 在私有网络内部使用私有地址，可以更容易地进行地址分配和管理，而不必担心与互联网上的其他网络冲突。

   - 内部网络通信

     > 私有地址允许内部网络设备之间进行通信，而无需与外部网络交互。

#### 二、在WinSvr2019系统中，密码的默认有效期是多少天

> 42天

#### 三、什么是文件系统，常见的文件系统有哪些有哪些

> 文件系统是操作系统用于组织、存储和管理文件的方式。定义了文件如何在存储设备上存储、访问和检索的规则和方法。不同的文件系统可能支持不同的功能，如文件大小、文件类型、文件权限等。

几种常见的文件系统：

- FAT（File Allocation Table）:

  > 最早期的文件系统之一，包括FAT12、FAT16和FAT32。
  > 适用于早期的个人电脑和存储设备。
  > 支持简单的文件和目录结构，但文件大小和文件夹数量有限。

- NTFS（New Technology File System）:

  > 由微软开发的文件系统，广泛用于Windows操作系统。
  > 支持大文件、大文件夹和强大的文件权限管理。
  > 支持文件压缩、加密和磁盘配额等功能。

- Ext（Extended File System）:

  > 主要用于Linux操作系统，包括Ext2、Ext3和Ext4。
  > 支持大文件、大文件夹和日志功能，提高文件系统的稳定性和可靠性。
  > Ext4还支持透明压缩和文件系统级别的加密。

- HFS（Hierarchical File System）:

  > 最初由苹果公司为Mac OS开发，现在被HFS+和APFS所取代。
  > 支持大文件和文件夹，以及强大的文件权限管理。
  > HFS+增加了对大文件系统的支持，而APFS则是苹果公司为macOS和iOS开发的新一代文件系统。

- ZFS（Zettabyte File System）:

  > 由Sun Microsystems开发，现在由OpenZFS社区维护。
  > 是一个跨平台的文件系统，支持高可用性和数据完整性。
  > 支持数据快照、克隆、压缩、透明加密和文件系统级别的RAID等功能。